org.apache.tinkerpop.gremlin.neo4j.structure.trait

## Interface Neo4jTrait

- All Known Implementing Classes:
    MultiMetaNeo4jTrait, NoMultiNoMetaNeo4jTrait

  Deprecated.
  As of release 3.3.8, not replaced.

      @Deprecated
      public interface Neo4jTrait

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `VertexProperty.Cardinality` | `getCardinality(String key)` Deprecated.
    `Predicate<Neo4jNode>` | `getNodePredicate()` Deprecated.
    `<V> Iterator<Property<V>>` | `getProperties(Neo4jVertexProperty vertexProperty, String... keys)` Deprecated.
    `<V> Property<V>` | `getProperty(Neo4jVertexProperty vertexProperty, String key)` Deprecated.
    `Predicate<Neo4jRelationship>` | `getRelationshipPredicate()` Deprecated.
    `<V> Iterator<VertexProperty<V>>` | `getVertexProperties(Neo4jVertex vertex, String... keys)` Deprecated.
    `<V> VertexProperty<V>` | `getVertexProperty(Neo4jVertex vertex, String key)` Deprecated.
    `Iterator<Vertex>` | `lookupVertices(Neo4jGraph graph, List<HasContainer> hasContainers, Object... ids)` Deprecated.
    `void` | `removeVertex(Neo4jVertex vertex)` Deprecated.
    `void` | `removeVertexProperty(Neo4jVertexProperty vertexProperty)` Deprecated.
    `<V> Property<V>` | `setProperty(Neo4jVertexProperty vertexProperty, String key, V value)` Deprecated.
    `<V> VertexProperty<V>` | `setVertexProperty(Neo4jVertex vertex, VertexProperty.Cardinality cardinality, String key, V value, Object... keyValues)` Deprecated.
    `boolean` | `supportsMetaProperties()` Deprecated.
    `boolean` | `supportsMultiProperties()` Deprecated.

- - ### Method Detail

    - #### getNodePredicate

          Predicate<Neo4jNode> getNodePredicate()

      Deprecated.

    - #### getRelationshipPredicate

          Predicate<Neo4jRelationship> getRelationshipPredicate()

      Deprecated.

    - #### removeVertex

          void removeVertex(Neo4jVertex vertex)

      Deprecated.

    - #### getVertexProperty

          <V> VertexProperty<V> getVertexProperty(Neo4jVertex vertex,
                                                  String key)

      Deprecated.

    - #### getVertexProperties

          <V> Iterator<VertexProperty<V>> getVertexProperties(Neo4jVertex vertex,
                                                              String... keys)

      Deprecated.

    - #### setVertexProperty

          <V> VertexProperty<V> setVertexProperty(Neo4jVertex vertex,
                                                  VertexProperty.Cardinality cardinality,
                                                  String key,
                                                  V value,
                                                  Object... keyValues)

      Deprecated.

    - #### supportsMultiProperties

          boolean supportsMultiProperties()

      Deprecated.

    - #### supportsMetaProperties

          boolean supportsMetaProperties()

      Deprecated.

    - #### getCardinality

          VertexProperty.Cardinality getCardinality(String key)

      Deprecated.

    - #### removeVertexProperty

          void removeVertexProperty(Neo4jVertexProperty vertexProperty)

      Deprecated.

    - #### setProperty

          <V> Property<V> setProperty(Neo4jVertexProperty vertexProperty,
                                      String key,
                                      V value)

      Deprecated.

    - #### getProperty

          <V> Property<V> getProperty(Neo4jVertexProperty vertexProperty,
                                      String key)

      Deprecated.

    - #### getProperties

          <V> Iterator<Property<V>> getProperties(Neo4jVertexProperty vertexProperty,
                                                  String... keys)

      Deprecated.

    - #### lookupVertices

          Iterator<Vertex> lookupVertices(Neo4jGraph graph,
                                          List<HasContainer> hasContainers,
                                          Object... ids)

      Deprecated.

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.